/*
* React Tooltip
* {@link https://github.com/ReactTooltip/react-tooltip}
* @copyright ReactTooltip Team
* @license MIT
*/
import e,{createContext as t,useState as o,useCallback as l,useMemo as r,useContext as n,useRef as c,useEffect as i,useLayoutEffect as s,useImperativeHandle as a}from"react";import{arrow as u,computePosition as d,offset as p,flip as v,shift as m,autoUpdate as f}from"@floating-ui/dom";import y from"classnames";const h="react-tooltip-core-styles",w="react-tooltip-base-styles",b={core:!1,base:!1};function S({css:e,id:t=w,type:o="base",ref:l}){var r,n;if(!e||"undefined"==typeof document||b[o])return;if("core"===o&&"undefined"!=typeof process&&(null===(r=null===process||void 0===process?void 0:process.env)||void 0===r?void 0:r.REACT_TOOLTIP_DISABLE_CORE_STYLES))return;if("base"!==o&&"undefined"!=typeof process&&(null===(n=null===process||void 0===process?void 0:process.env)||void 0===n?void 0:n.REACT_TOOLTIP_DISABLE_BASE_STYLES))return;"core"===o&&(t=h),l||(l={});const{insertAt:c}=l;if(document.getElementById(t))return void console.warn(`[react-tooltip] Element with id '${t}' already exists. Call \`removeStyle()\` first`);const i=document.head||document.getElementsByTagName("head")[0],s=document.createElement("style");s.id=t,s.type="text/css","top"===c&&i.firstChild?i.insertBefore(s,i.firstChild):i.appendChild(s),s.styleSheet?s.styleSheet.cssText=e:s.appendChild(document.createTextNode(e)),b[o]=!0}function E({type:e="base",id:t=w}={}){if(!b[e])return;"core"===e&&(t=h);const o=document.getElementById(t);"style"===(null==o?void 0:o.tagName)?null==o||o.remove():console.warn(`[react-tooltip] Failed to remove 'style' element with id '${t}'. Call \`injectStyle()\` first`),b[e]=!1}const g=(e,t,o)=>{let l=null;return function(...r){const n=()=>{l=null,o||e.apply(this,r)};o&&!l&&(e.apply(this,r),l=setTimeout(n,t)),o||(l&&clearTimeout(l),l=setTimeout(n,t))}},_="DEFAULT_TOOLTIP_ID",A={anchorRefs:new Set,activeAnchor:{current:null},attach:()=>{},detach:()=>{},setActiveAnchor:()=>{}},O=t({getTooltipData:()=>A}),T=({children:t})=>{const[n,c]=o({[_]:new Set}),[i,s]=o({[_]:{current:null}}),a=(e,...t)=>{c((o=>{var l;const r=null!==(l=o[e])&&void 0!==l?l:new Set;return t.forEach((e=>r.add(e))),{...o,[e]:new Set(r)}}))},u=(e,...t)=>{c((o=>{const l=o[e];return l?(t.forEach((e=>l.delete(e))),{...o}):o}))},d=l(((e=_)=>{var t,o;return{anchorRefs:null!==(t=n[e])&&void 0!==t?t:new Set,activeAnchor:null!==(o=i[e])&&void 0!==o?o:{current:null},attach:(...t)=>a(e,...t),detach:(...t)=>u(e,...t),setActiveAnchor:t=>((e,t)=>{s((o=>{var l;return(null===(l=o[e])||void 0===l?void 0:l.current)===t.current?o:{...o,[e]:t}}))})(e,t)}}),[n,i,a,u]),p=r((()=>({getTooltipData:d})),[d]);return e.createElement(O.Provider,{value:p},t)};function k(e=_){return n(O).getTooltipData(e)}const L=({tooltipId:t,children:o,className:l,place:r,content:n,html:s,variant:a,offset:u,wrapper:d,events:p,positionStrategy:v,delayShow:m,delayHide:f})=>{const{attach:h,detach:w}=k(t),b=c(null);return i((()=>(h(b),()=>{w(b)})),[]),e.createElement("span",{ref:b,className:y("react-tooltip-wrapper",l),"data-tooltip-place":r,"data-tooltip-content":n,"data-tooltip-html":s,"data-tooltip-variant":a,"data-tooltip-offset":u,"data-tooltip-wrapper":d,"data-tooltip-events":p,"data-tooltip-position-strategy":v,"data-tooltip-delay-show":m,"data-tooltip-delay-hide":f},o)},R="undefined"!=typeof window?s:i,C=e=>{if(!(e instanceof HTMLElement||e instanceof SVGElement))return!1;const t=getComputedStyle(e);return["overflow","overflow-x","overflow-y"].some((e=>{const o=t.getPropertyValue(e);return"auto"===o||"scroll"===o}))},x=e=>{if(!e)return null;let t=e.parentElement;for(;t;){if(C(t))return t;t=t.parentElement}return document.scrollingElement||document.documentElement},N=async({elementReference:e=null,tooltipReference:t=null,tooltipArrowReference:o=null,place:l="top",offset:r=10,strategy:n="absolute",middlewares:c=[p(Number(r)),v(),m({padding:5})],border:i})=>{if(!e)return{tooltipStyles:{},tooltipArrowStyles:{},place:l};if(null===t)return{tooltipStyles:{},tooltipArrowStyles:{},place:l};const s=c;return o?(s.push(u({element:o,padding:5})),d(e,t,{placement:l,strategy:n,middleware:s}).then((({x:e,y:t,placement:o,middlewareData:l})=>{var r,n;const c={left:`${e}px`,top:`${t}px`,border:i},{x:s,y:a}=null!==(r=l.arrow)&&void 0!==r?r:{x:0,y:0},u=null!==(n={top:"bottom",right:"left",bottom:"top",left:"right"}[o.split("-")[0]])&&void 0!==n?n:"bottom",d=i&&{borderBottom:i,borderRight:i};let p=0;if(i){const e=`${i}`.match(/(\d+)px/);p=(null==e?void 0:e[1])?Number(e[1]):1}return{tooltipStyles:c,tooltipArrowStyles:{left:null!=s?`${s}px`:"",top:null!=a?`${a}px`:"",right:"",bottom:"",...d,[u]:`-${4+p}px`},place:o}}))):d(e,t,{placement:"bottom",strategy:n,middleware:s}).then((({x:e,y:t,placement:o})=>({tooltipStyles:{left:`${e}px`,top:`${t}px`},tooltipArrowStyles:{},place:o})))};var $={tooltip:"core-styles-module_tooltip__3vRRp",fixed:"core-styles-module_fixed__pcSol",arrow:"core-styles-module_arrow__cvMwQ",noArrow:"core-styles-module_noArrow__xock6",clickable:"core-styles-module_clickable__ZuTTB",show:"core-styles-module_show__Nt9eE",closing:"core-styles-module_closing__sGnxF"},j={tooltip:"styles-module_tooltip__mnnfp",arrow:"styles-module_arrow__K0L3T",dark:"styles-module_dark__xNqje",light:"styles-module_light__Z6W-X",success:"styles-module_success__A2AKt",warning:"styles-module_warning__SCK0X",error:"styles-module_error__JvumD",info:"styles-module_info__BWdHW"};const I=({forwardRef:t,id:r,className:n,classNameArrow:s,variant:u="dark",anchorId:d,anchorSelect:p,place:v="top",offset:m=10,events:h=["hover"],openOnClick:w=!1,positionStrategy:b="absolute",middlewares:S,wrapper:E,delayShow:_=0,delayHide:A=0,float:O=!1,hidden:T=!1,noArrow:L=!1,clickable:C=!1,closeOnEsc:I=!1,closeOnScroll:B=!1,closeOnResize:z=!1,openEvents:D,closeEvents:q,globalCloseEvents:H,imperativeModeOnly:M,style:W,position:P,afterShow:F,afterHide:K,content:U,contentWrapperRef:X,isOpen:Y,setIsOpen:G,activeAnchor:V,setActiveAnchor:Z,border:J,opacity:Q,arrowColor:ee})=>{var te;const oe=c(null),le=c(null),re=c(null),ne=c(null),[ce,ie]=o(v),[se,ae]=o({}),[ue,de]=o({}),[pe,ve]=o(!1),[me,fe]=o(!1),[ye,he]=o(null),we=c(!1),be=c(null),{anchorRefs:Se,setActiveAnchor:Ee}=k(r),ge=c(!1),[_e,Ae]=o([]),Oe=c(!1),Te=w||h.includes("click"),ke=Te||(null==D?void 0:D.click)||(null==D?void 0:D.dblclick)||(null==D?void 0:D.mousedown),Le=D?{...D}:{mouseenter:!0,focus:!0,click:!1,dblclick:!1,mousedown:!1};!D&&Te&&Object.assign(Le,{mouseenter:!1,focus:!1,click:!0});const Re=q?{...q}:{mouseleave:!0,blur:!0,click:!1,dblclick:!1,mouseup:!1};!q&&Te&&Object.assign(Re,{mouseleave:!1,blur:!1});const Ce=H?{...H}:{escape:I||!1,scroll:B||!1,resize:z||!1,clickOutsideAnchor:ke||!1};M&&(Object.assign(Le,{mouseenter:!1,focus:!1,click:!1,dblclick:!1,mousedown:!1}),Object.assign(Re,{mouseleave:!1,blur:!1,click:!1,dblclick:!1,mouseup:!1}),Object.assign(Ce,{escape:!1,scroll:!1,resize:!1,clickOutsideAnchor:!1})),R((()=>(Oe.current=!0,()=>{Oe.current=!1})),[]);const xe=e=>{Oe.current&&(e&&fe(!0),setTimeout((()=>{Oe.current&&(null==G||G(e),void 0===Y&&ve(e))}),10))};i((()=>{if(void 0===Y)return()=>null;Y&&fe(!0);const e=setTimeout((()=>{ve(Y)}),10);return()=>{clearTimeout(e)}}),[Y]),i((()=>{pe!==we.current&&(we.current=pe,pe&&(null==F||F()))}),[pe]);const Ne=(e=_)=>{re.current&&clearTimeout(re.current),re.current=setTimeout((()=>{xe(!0)}),e)},$e=(e=A)=>{ne.current&&clearTimeout(ne.current),ne.current=setTimeout((()=>{ge.current||xe(!1)}),e)},je=e=>{var t;if(!e)return;const o=null!==(t=e.currentTarget)&&void 0!==t?t:e.target;if(!(null==o?void 0:o.isConnected))return Z(null),void Ee({current:null});_?Ne():xe(!0),Z(o),Ee({current:o}),ne.current&&clearTimeout(ne.current)},Ie=()=>{C?$e(A||100):A?$e():xe(!1),re.current&&clearTimeout(re.current)},Be=({x:e,y:t})=>{var o;const l={getBoundingClientRect:()=>({x:e,y:t,width:0,height:0,top:t,left:e,right:e,bottom:t})};N({place:null!==(o=null==ye?void 0:ye.place)&&void 0!==o?o:v,offset:m,elementReference:l,tooltipReference:oe.current,tooltipArrowReference:le.current,strategy:b,middlewares:S,border:J}).then((e=>{Object.keys(e.tooltipStyles).length&&ae(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&de(e.tooltipArrowStyles),ie(e.place)}))},ze=e=>{if(!e)return;const t=e,o={x:t.clientX,y:t.clientY};Be(o),be.current=o},De=e=>{var t;if(!pe)return;const o=e.target;if(null===(t=oe.current)||void 0===t?void 0:t.contains(o))return;[document.querySelector(`[id='${d}']`),..._e].some((e=>null==e?void 0:e.contains(o)))||(xe(!1),re.current&&clearTimeout(re.current))},qe=g(je,50,!0),He=g(Ie,50,!0),Me=l((()=>{var e,t;const o=null!==(e=null==ye?void 0:ye.position)&&void 0!==e?e:P;o?Be(o):O?be.current&&Be(be.current):(null==V?void 0:V.isConnected)&&N({place:null!==(t=null==ye?void 0:ye.place)&&void 0!==t?t:v,offset:m,elementReference:V,tooltipReference:oe.current,tooltipArrowReference:le.current,strategy:b,middlewares:S,border:J}).then((e=>{Oe.current&&(Object.keys(e.tooltipStyles).length&&ae(e.tooltipStyles),Object.keys(e.tooltipArrowStyles).length&&de(e.tooltipArrowStyles),ie(e.place))}))}),[pe,V,U,W,v,null==ye?void 0:ye.place,m,b,P,null==ye?void 0:ye.position,O]);i((()=>{var e,t;const o=new Set(Se);_e.forEach((e=>{o.add({current:e})}));const l=document.querySelector(`[id='${d}']`);l&&o.add({current:l});const r=()=>{xe(!1)},n=x(V),c=x(oe.current);Ce.scroll&&(window.addEventListener("scroll",r),null==n||n.addEventListener("scroll",r),null==c||c.addEventListener("scroll",r));let i=null;Ce.resize?window.addEventListener("resize",r):V&&oe.current&&(i=f(V,oe.current,Me,{ancestorResize:!0,elementResize:!0,layoutShift:!0}));const s=e=>{"Escape"===e.key&&xe(!1)};Ce.escape&&window.addEventListener("keydown",s),Ce.clickOutsideAnchor&&window.addEventListener("click",De);const a=[],u=e=>{pe||je(e)},p=()=>{pe&&Ie()},v=["mouseenter","mouseleave","focus","blur"],m=["click","dblclick","mousedown","mouseup"];Object.entries(Le).forEach((([e,t])=>{t&&(v.includes(e)?a.push({event:e,listener:qe}):m.includes(e)&&a.push({event:e,listener:u}))})),Object.entries(Re).forEach((([e,t])=>{t&&(v.includes(e)?a.push({event:e,listener:He}):m.includes(e)&&a.push({event:e,listener:p}))})),O&&a.push({event:"mousemove",listener:ze});const y=()=>{ge.current=!0},h=()=>{ge.current=!1,Ie()};return C&&!ke&&(null===(e=oe.current)||void 0===e||e.addEventListener("mouseenter",y),null===(t=oe.current)||void 0===t||t.addEventListener("mouseleave",h)),a.forEach((({event:e,listener:t})=>{o.forEach((o=>{var l;null===(l=o.current)||void 0===l||l.addEventListener(e,t)}))})),()=>{var e,t;Ce.scroll&&(window.removeEventListener("scroll",r),null==n||n.removeEventListener("scroll",r),null==c||c.removeEventListener("scroll",r)),Ce.resize?window.removeEventListener("resize",r):null==i||i(),Ce.clickOutsideAnchor&&window.removeEventListener("click",De),Ce.escape&&window.removeEventListener("keydown",s),C&&!ke&&(null===(e=oe.current)||void 0===e||e.removeEventListener("mouseenter",y),null===(t=oe.current)||void 0===t||t.removeEventListener("mouseleave",h)),a.forEach((({event:e,listener:t})=>{o.forEach((o=>{var l;null===(l=o.current)||void 0===l||l.removeEventListener(e,t)}))}))}}),[V,Me,me,Se,_e,D,q,H,Te]),i((()=>{var e,t;let o=null!==(t=null!==(e=null==ye?void 0:ye.anchorSelect)&&void 0!==e?e:p)&&void 0!==t?t:"";!o&&r&&(o=`[data-tooltip-id='${r}']`);const l=new MutationObserver((e=>{const t=[],l=[];e.forEach((e=>{if("attributes"===e.type&&"data-tooltip-id"===e.attributeName){e.target.getAttribute("data-tooltip-id")===r&&t.push(e.target)}if("childList"===e.type){if(V){const t=[...e.removedNodes].filter((e=>1===e.nodeType));if(o)try{l.push(...t.filter((e=>e.matches(o)))),l.push(...t.flatMap((e=>[...e.querySelectorAll(o)])))}catch(e){}t.some((e=>{var t;return!!(null===(t=null==e?void 0:e.contains)||void 0===t?void 0:t.call(e,V))&&(fe(!1),xe(!1),Z(null),re.current&&clearTimeout(re.current),ne.current&&clearTimeout(ne.current),!0)}))}if(o)try{const l=[...e.addedNodes].filter((e=>1===e.nodeType));t.push(...l.filter((e=>e.matches(o)))),t.push(...l.flatMap((e=>[...e.querySelectorAll(o)])))}catch(e){}}})),(t.length||l.length)&&Ae((e=>[...e.filter((e=>!l.includes(e))),...t]))}));return l.observe(document.body,{childList:!0,subtree:!0,attributes:!0,attributeFilter:["data-tooltip-id"]}),()=>{l.disconnect()}}),[r,p,null==ye?void 0:ye.anchorSelect,V]),i((()=>{Me()}),[Me]),i((()=>{if(!(null==X?void 0:X.current))return()=>null;const e=new ResizeObserver((()=>{Me()}));return e.observe(X.current),()=>{e.disconnect()}}),[U,null==X?void 0:X.current]),i((()=>{var e;const t=document.querySelector(`[id='${d}']`),o=[..._e,t];V&&o.includes(V)||Z(null!==(e=_e[0])&&void 0!==e?e:t)}),[d,_e,V]),i((()=>()=>{re.current&&clearTimeout(re.current),ne.current&&clearTimeout(ne.current)}),[]),i((()=>{var e;let t=null!==(e=null==ye?void 0:ye.anchorSelect)&&void 0!==e?e:p;if(!t&&r&&(t=`[data-tooltip-id='${r}']`),t)try{const e=Array.from(document.querySelectorAll(t));Ae(e)}catch(e){Ae([])}}),[r,p,null==ye?void 0:ye.anchorSelect]);const We=null!==(te=null==ye?void 0:ye.content)&&void 0!==te?te:U,Pe=Boolean(!T&&We&&pe&&Object.keys(se).length>0);return a(t,(()=>({open:e=>{if(null==e?void 0:e.anchorSelect)try{document.querySelector(e.anchorSelect)}catch(t){return void console.warn(`[react-tooltip] "${e.anchorSelect}" is not a valid CSS selector`)}he(null!=e?e:null),(null==e?void 0:e.delay)?Ne(e.delay):xe(!0)},close:e=>{(null==e?void 0:e.delay)?$e(e.delay):xe(!1)},activeAnchor:V,place:ce,isOpen:me&&Pe}))),me?e.createElement(E,{id:r,role:"tooltip",className:y("react-tooltip",$.tooltip,j.tooltip,j[u],n,`react-tooltip__place-${ce}`,$[Pe?"show":"closing"],Pe?"react-tooltip__show":"react-tooltip__closing","fixed"===b&&$.fixed,C&&$.clickable),onTransitionEnd:e=>{pe||"opacity"!==e.propertyName||(fe(!1),he(null),null==K||K())},style:{...W,...se,opacity:void 0!==Q&&Pe?Q:void 0},ref:oe},We,e.createElement(E,{className:y("react-tooltip-arrow",$.arrow,j.arrow,s,L&&$.noArrow),style:{...ue,background:ee?`linear-gradient(to right bottom, transparent 50%, ${ee} 50%)`:void 0},ref:le})):null},B=({content:t})=>e.createElement("span",{dangerouslySetInnerHTML:{__html:t}}),z=e.forwardRef((({id:t,anchorId:l,anchorSelect:r,content:n,html:s,render:a,className:u,classNameArrow:d,variant:p="dark",place:v="top",offset:m=10,wrapper:f="div",children:y=null,events:h=["hover"],openOnClick:w=!1,positionStrategy:b="absolute",middlewares:S,delayShow:E=0,delayHide:g=0,float:_=!1,hidden:A=!1,noArrow:O=!1,clickable:T=!1,closeOnEsc:L=!1,closeOnScroll:R=!1,closeOnResize:C=!1,openEvents:x,closeEvents:N,globalCloseEvents:$,imperativeModeOnly:j=!1,style:z,position:D,isOpen:q,disableStyleInjection:H=!1,border:M,opacity:W,arrowColor:P,setIsOpen:F,afterShow:K,afterHide:U},X)=>{const[Y,G]=o(n),[V,Z]=o(s),[J,Q]=o(v),[ee,te]=o(p),[oe,le]=o(m),[re,ne]=o(E),[ce,ie]=o(g),[se,ae]=o(_),[ue,de]=o(A),[pe,ve]=o(f),[me,fe]=o(h),[ye,he]=o(b),[we,be]=o(null),Se=c(H),{anchorRefs:Ee,activeAnchor:ge}=k(t),_e=e=>null==e?void 0:e.getAttributeNames().reduce(((t,o)=>{var l;if(o.startsWith("data-tooltip-")){t[o.replace(/^data-tooltip-/,"")]=null!==(l=null==e?void 0:e.getAttribute(o))&&void 0!==l?l:null}return t}),{}),Ae=e=>{const t={place:e=>{var t;Q(null!==(t=e)&&void 0!==t?t:v)},content:e=>{G(null!=e?e:n)},html:e=>{Z(null!=e?e:s)},variant:e=>{var t;te(null!==(t=e)&&void 0!==t?t:p)},offset:e=>{le(null===e?m:Number(e))},wrapper:e=>{var t;ve(null!==(t=e)&&void 0!==t?t:f)},events:e=>{const t=null==e?void 0:e.split(" ");fe(null!=t?t:h)},"position-strategy":e=>{var t;he(null!==(t=e)&&void 0!==t?t:b)},"delay-show":e=>{ne(null===e?E:Number(e))},"delay-hide":e=>{ie(null===e?g:Number(e))},float:e=>{ae(null===e?_:"true"===e)},hidden:e=>{de(null===e?A:"true"===e)}};Object.values(t).forEach((e=>e(null))),Object.entries(e).forEach((([e,o])=>{var l;null===(l=t[e])||void 0===l||l.call(t,o)}))};i((()=>{G(n)}),[n]),i((()=>{Z(s)}),[s]),i((()=>{Q(v)}),[v]),i((()=>{te(p)}),[p]),i((()=>{le(m)}),[m]),i((()=>{ne(E)}),[E]),i((()=>{ie(g)}),[g]),i((()=>{ae(_)}),[_]),i((()=>{de(A)}),[A]),i((()=>{he(b)}),[b]),i((()=>{Se.current!==H&&console.warn("[react-tooltip] Do not change `disableStyleInjection` dynamically.")}),[H]),i((()=>{"undefined"!=typeof window&&window.dispatchEvent(new CustomEvent("react-tooltip-inject-styles",{detail:{disableCore:"core"===H,disableBase:H}}))}),[]),i((()=>{var e;const o=new Set(Ee);let n=r;if(!n&&t&&(n=`[data-tooltip-id='${t}']`),n)try{document.querySelectorAll(n).forEach((e=>{o.add({current:e})}))}catch(e){console.warn(`[react-tooltip] "${n}" is not a valid CSS selector`)}const c=document.querySelector(`[id='${l}']`);if(c&&o.add({current:c}),!o.size)return()=>null;const i=null!==(e=null!=we?we:c)&&void 0!==e?e:ge.current,s=new MutationObserver((e=>{e.forEach((e=>{var t;if(!i||"attributes"!==e.type||!(null===(t=e.attributeName)||void 0===t?void 0:t.startsWith("data-tooltip-")))return;const o=_e(i);Ae(o)}))})),a={attributes:!0,childList:!1,subtree:!1};if(i){const e=_e(i);Ae(e),s.observe(i,a)}return()=>{s.disconnect()}}),[Ee,ge,we,l,r]),i((()=>{(null==z?void 0:z.border)&&console.warn("[react-tooltip] Do not set `style.border`. Use `border` prop instead."),M&&!CSS.supports("border",`${M}`)&&console.warn(`[react-tooltip] "${M}" is not a valid \`border\`.`),(null==z?void 0:z.opacity)&&console.warn("[react-tooltip] Do not set `style.opacity`. Use `opacity` prop instead."),W&&!CSS.supports("opacity",`${W}`)&&console.warn(`[react-tooltip] "${W}" is not a valid \`opacity\`.`)}),[]);let Oe=y;const Te=c(null);if(a){const t=a({content:null!=Y?Y:null,activeAnchor:we});Oe=t?e.createElement("div",{ref:Te,className:"react-tooltip-content-wrapper"},t):null}else Y&&(Oe=Y);V&&(Oe=e.createElement(B,{content:V}));const ke={forwardRef:X,id:t,anchorId:l,anchorSelect:r,className:u,classNameArrow:d,content:Oe,contentWrapperRef:Te,place:J,variant:ee,offset:oe,wrapper:pe,events:me,openOnClick:w,positionStrategy:ye,middlewares:S,delayShow:re,delayHide:ce,float:se,hidden:ue,noArrow:O,clickable:T,closeOnEsc:L,closeOnScroll:R,closeOnResize:C,openEvents:x,closeEvents:N,globalCloseEvents:$,imperativeModeOnly:j,style:z,position:D,isOpen:q,border:M,opacity:W,arrowColor:P,setIsOpen:F,afterShow:K,afterHide:U,activeAnchor:we,setActiveAnchor:e=>be(e)};return e.createElement(I,{...ke})}));"undefined"!=typeof window&&window.addEventListener("react-tooltip-inject-styles",(e=>{e.detail.disableCore||S({css:`:root{--rt-color-white:#fff;--rt-color-dark:#222;--rt-color-success:#8dc572;--rt-color-error:#be6464;--rt-color-warning:#f0ad4e;--rt-color-info:#337ab7;--rt-opacity:0.9;--rt-transition-show-delay:0.15s;--rt-transition-closing-delay:0.15s}.core-styles-module_tooltip__3vRRp{position:absolute;top:0;left:0;pointer-events:none;opacity:0;will-change:opacity}.core-styles-module_fixed__pcSol{position:fixed}.core-styles-module_arrow__cvMwQ{position:absolute;background:inherit}.core-styles-module_noArrow__xock6{display:none}.core-styles-module_clickable__ZuTTB{pointer-events:auto}.core-styles-module_show__Nt9eE{opacity:var(--rt-opacity);transition:opacity var(--rt-transition-show-delay)ease-out}.core-styles-module_closing__sGnxF{opacity:0;transition:opacity var(--rt-transition-closing-delay)ease-in}`,type:"core"}),e.detail.disableBase||S({css:`
.styles-module_tooltip__mnnfp{padding:8px 16px;border-radius:3px;font-size:90%;width:max-content}.styles-module_arrow__K0L3T{width:8px;height:8px}[class*='react-tooltip__place-top']>.styles-module_arrow__K0L3T{transform:rotate(45deg)}[class*='react-tooltip__place-right']>.styles-module_arrow__K0L3T{transform:rotate(135deg)}[class*='react-tooltip__place-bottom']>.styles-module_arrow__K0L3T{transform:rotate(225deg)}[class*='react-tooltip__place-left']>.styles-module_arrow__K0L3T{transform:rotate(315deg)}.styles-module_dark__xNqje{background:var(--rt-color-dark);color:var(--rt-color-white)}.styles-module_light__Z6W-X{background-color:var(--rt-color-white);color:var(--rt-color-dark)}.styles-module_success__A2AKt{background-color:var(--rt-color-success);color:var(--rt-color-white)}.styles-module_warning__SCK0X{background-color:var(--rt-color-warning);color:var(--rt-color-white)}.styles-module_error__JvumD{background-color:var(--rt-color-error);color:var(--rt-color-white)}.styles-module_info__BWdHW{background-color:var(--rt-color-info);color:var(--rt-color-white)}`,type:"base"})}));export{z as Tooltip,T as TooltipProvider,L as TooltipWrapper,E as removeStyle};
